summaryrefslogtreecommitdiff
path: root/source4/script
diff options
context:
space:
mode:
authorAndrew Tridgell <tridge@samba.org>2003-11-08 13:23:20 +0000
committerAndrew Tridgell <tridge@samba.org>2003-11-08 13:23:20 +0000
commit668c938678fd7f08ca1ad3412d090f487295211f (patch)
tree702bd71917f7889f0ef0bc34ea6a1abaf7b7872a /source4/script
parent7d212460a5c00b4039440c2db0dde56e7d519d66 (diff)
downloadsamba-668c938678fd7f08ca1ad3412d090f487295211f.tar.gz
samba-668c938678fd7f08ca1ad3412d090f487295211f.tar.bz2
samba-668c938678fd7f08ca1ad3412d090f487295211f.zip
- more generation fixes
- added auto-generation from the Makefile. Only called when you run "make idl" (This used to be commit 47a17e5a08dcb5ef2880f75a59bf417e161a71d3)
Diffstat (limited to 'source4/script')
-rwxr-xr-xsource4/script/build_idl.sh10
1 files changed, 10 insertions, 0 deletions
diff --git a/source4/script/build_idl.sh b/source4/script/build_idl.sh
new file mode 100755
index 0000000000..a456f479fd
--- /dev/null
+++ b/source4/script/build_idl.sh
@@ -0,0 +1,10 @@
+#!/bin/bash
+
+for f in librpc/idl/*.idl; do
+ echo Processing $f
+ base=`basename $f .idl`
+ ndr=librpc/ndr/ndr_$base
+ $HOME/pidl/pidl.pl --output $ndr --parse --header --parser $f || exit 1
+done
+
+exit 0